Bug 336304 - No way to return to currentDate in digital clock
Summary: No way to return to currentDate in digital clock
Status: RESOLVED FIXED
Alias: None
Product: plasmashell
Classification: Unclassified
Component: Digital Clock (show other bugs)
Version: master
Platform: unspecified Linux
: NOR normal
Target Milestone: 1.0
Assignee: Martin Klapetek
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-06-16 06:18 UTC by Bhushan Shah
Modified: 2014-06-17 08:46 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Bhushan Shah 2014-06-16 06:18:59 UTC
In Plasma 1 digital clock have one button which can be used to return to current date.. in Plasma Next it is not there...
Comment 1 Marco Martin 2014-06-16 08:22:11 UTC
Ah, so is the calendar component, not the digital clock
Comment 2 David Edmundson 2014-06-16 12:37:21 UTC
To clarify, the bug is if I scroll to October and the current month is June, there's no button to take me back instantly to June?
Comment 3 Bhushan Shah 2014-06-16 12:40:48 UTC
yeah..
Comment 4 Martin Klapetek 2014-06-16 14:49:27 UTC
Yup, that is known. Currently you can return back to today just by hiding and reopening the calendar.

I'm not yet sure if that function will be present in the calendar interface itself, I need VDG input on that.
Comment 5 Bhushan Shah 2014-06-17 03:56:55 UTC
"Currently you can return back to today just by hiding and reopening the calendar."

No this is also not possible.. I just tried..
Comment 6 Martin Klapetek 2014-06-17 08:06:55 UTC
Ah of course. I was waiting for https://git.reviewboard.kde.org/r/118668/

Will commit shortly.
Comment 7 Martin Klapetek 2014-06-17 08:44:23 UTC
Git commit 3188b417f4b898d416646e3c46999d710650bf3d by Martin Klapetek.
Committed on 17/06/2014 at 08:42.
Pushed by mklapetek into branch 'master'.

Split startDate property into today and displayedDate in calendar component

Basically splits the Calendar::m_startDate into 'today' and
'displayedDate', where displayedDate is the date that is displayed (it
controls the days model etc) and can be manipulated by the user by eg.
changing months in the plasmoid, and today is the current day, populated
by our dataengine (which means it auto-updates with no need for a
timer).

This allows for greater flexibility and things like "Go back to today"
when eg. the plasmoid is hidden or when the user have browsed too far in
the calendar and just wants to get back to today (the button to do that
pending).

Also this fixes a problem where the time dataengine is being polled
every 30secs for the clock and would reset the calendar view as the
startDate is currently bound to the dataengine and the view resets on
that change.

REVIEW: 118668

M  +58   -29   src/declarativeimports/calendar/calendar.cpp
M  +21   -9    src/declarativeimports/calendar/calendar.h
M  +12   -12   src/declarativeimports/calendar/qml/MonthMenu.qml
M  +6    -3    src/declarativeimports/calendar/qml/MonthView.qml

http://commits.kde.org/plasma-framework/3188b417f4b898d416646e3c46999d710650bf3d
Comment 8 Martin Klapetek 2014-06-17 08:46:01 UTC
Git commit c86ab78b1f944f66af309dcd52c9ce1a5c5011fc by Martin Klapetek.
Committed on 17/06/2014 at 08:45.
Pushed by mklapetek into branch 'master'.

[digital-clock]Reset the calendar popup to today when collapsed

M  +1    -0    applets/digital-clock/package/contents/ui/CalendarView.qml

http://commits.kde.org/plasma-workspace/c86ab78b1f944f66af309dcd52c9ce1a5c5011fc